Subject: Re: bug#9249: Does Libtool 2.4 support Solaris 2.8?

From: Andreas Kupries <[email-masked]>
Date: Fri, 05 Aug 2011 20:54:41 -0700

On 05/08/11 08:18 PM, Gary V. Vaughan wrote:
> Hi Jeff,
>
> On 5 Aug 2011, at 02:37, Jeff Squyres wrote:
>> I see lots of references to old versions of Solaris in generated Libtool scripts, but we've recently been told about a problem with the following with Solaris 2.8's sh:
>> The ${foo##*/} pattern is used in the LT 2.4-generated libtool script (e.g., in http://www.open-mpi.org/software/hwloc/v1.2/downloads/hwloc-1.2.tar.bz2).
>>
>> Is this a known issue?
>
> The default is to not use these non-portable XSI patterns, and only if a configure time test case

I can attest that the generated libtool does contain these patterns.

> is successful are they spliced into the generated libtool to speed things up.  Perhaps configure
> found a better shell and re-executed itself in order for those checks to pass, and then the
> generated libtool was passed through the under-powered solaris sh afterwards?

Interesting.

[elided libtool.m4 stuff]

> At configure time you should see 'checking whether the shell understands some XSI constructs...' and
> 'checking whether the shell understands "+="...' tests, and the generated libtool script should
> contain definitions of the shell functions listed above that match the results of those tests.
> Similarly, ltmain.sh should always contain the unsubstituted implementations of those functions,
> because _LT_PROG_FUNCTION_REPLACE only knows how to splice in the XSI implementations on demand,
> and doesn't know how to go back the other way if the configure tests find XSI features don't work.
> Can you investigate some more and report your findings back to the list?

I will investigate Monday, when I am back in the office, with access to 
the box in question.

---
Andreas